Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLstyles

    java.lang.Object
      OOXMLconvert.OOXMLstyles

    public class OOXMLstyles

extends java.lang.Object

Field Summary
`int` | `defFontSize` default veľkosť fontu
`double` | `lineHeight` default výška riadku
`int` | `spacingAfter` default odsadenie za odstavcom
`int` | `spacingBefore` default odsadenie pred odstavcom
`private java.util.LinkedHashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,java.lang.String>>` | `stylespPr` zoznam štýlov pre paragraph a pre každý z nich zoznam properties
`private java.util.LinkedHashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,java.lang.String>>` | `stylesrPr` zoznam štýlov a pre každý z nich zoznam properties

Constructor Summary
`OOXMLstyles()`

Method Summary
`private java.lang.String` | `getBorderProperties(Element pBdrChild)` Funkcia vráti CSS štýl zodpovedajúci borderu
`java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `getPStyle(java.lang.String styleId)` Funkcia vráti daný štýl.
`java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `getStyle(java.lang.String styleId)` Funkcia vráti daný štýl.
`private void` | `readStyle(Element elStyle)` Funkcia prečíta daný style element a zapíše obsah do stylesrPr.
`private void` | `readStyleDefaults(Element elStyle)` Funkcia načíta default štýly (veľkosť fontu).
`boolean` | `readStyles()` Funkcia prečíta štýly a zapíše ich do stylesrPr.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defFontSize

    public int defFontSize

  default veľkosť fontu

### lineHeight

    public double lineHeight

  default výška riadku

### spacingBefore

    public int spacingBefore

  default odsadenie pred odstavcom

### spacingAfter

    public int spacingAfter

  default odsadenie za odstavcom

### stylesrPr

    private java.util.LinkedHashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,java.lang.String>> stylesrPr

  zoznam štýlov a pre každý z nich zoznam properties

### stylespPr

    private java.util.LinkedHashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,java.lang.String>> stylespPr

  zoznam štýlov pre paragraph a pre každý z nich zoznam properties

Constructor Detail

### OOXMLstyles

    public OOXMLstyles()

Method Detail

### getBorderProperties

    private java.lang.String getBorderProperties(Element pBdrChild)

  Funkcia vráti CSS štýl zodpovedajúci borderu

  Parameters:
    `pBdrChild` - element, v ktorom je definovaný border
  Returns:
    String obsahujúci CSS štýl

### readStyle

    private void readStyle(Element elStyle)

  Funkcia prečíta daný style element a zapíše obsah do stylesrPr.

  Parameters:
    `elStyle` - element so štýlom

### readStyleDefaults

    private void readStyleDefaults(Element elStyle)

  Funkcia načíta default štýly (veľkosť fontu).

  Parameters:
    `elStyle` - element s default štýlom

### readStyles

    public boolean readStyles()

  Funkcia prečíta štýly a zapíše ich do stylesrPr.

  Returns:
    true ak nenastala chyba, false inak

### getStyle

    public java.util.LinkedHashMap<java.lang.String,java.lang.String> getStyle(java.lang.String styleId)

  Funkcia vráti daný štýl.

  Parameters:
    `styleId` - názov štýlu
  Returns:
    mapu všetkých atribútov daného štýlu

### getPStyle

    public java.util.LinkedHashMap<java.lang.String,java.lang.String> getPStyle(java.lang.String styleId)

  Funkcia vráti daný štýl.

  Parameters:
    `styleId` - názov štýlu
  Returns:
    mapu všetkých atribútov daného štýlu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD